Bug 234195 - diff(1) doesn't document long name for -b
Summary: diff(1) doesn't document long name for -b
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-bugs (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-12-20 04:55 UTC by Andras Farkas
Modified: 2020-06-01 09:16 UTC (History)
2 users (show)

See Also:


Attachments
[PATCH] for diff.1 (408 bytes, patch)
2020-05-18 10:35 UTC, fehmi noyan isi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Farkas 2018-12-20 04:55:34 UTC
All the long/GNU options are listed for the short/Unix options in diff, except -b --ignore-space-change
(or at least that's the one I noticed)
Noticed this in 12.0-release
Comment 1 fehmi noyan isi 2020-05-18 10:35:19 UTC
Created attachment 214597 [details]
[PATCH] for diff.1

Attached patch fixes the issue. The patch was generated against r360869

root@patch:/usr/src # svnlite info
Path: .
Working Copy Root Path: /usr/src
URL: https://svn.freebsd.org/base/head
Relative URL: ^/head
Repository Root: https://svn.freebsd.org/base
Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
Revision: 360869
Node Kind: directory
Schedule: normal
Last Changed Author: tuexen
Last Changed Rev: 360869
Last Changed Date: 2020-05-10 22:03:10 +1200 (Sun, 10 May 2020)

root@patch:/usr/src # uname -a
FreeBSD patch 13.0-CURRENT FreeBSD 13.0-CURRENT #2 r360869: Wed May 13 10:57:22 NZST 2020     fnoyanisi@patch:/usr/obj/usr/src/amd64.amd64/sys/GENERIC  amd64
root@patch:/usr/src #
Comment 2 Baptiste Daroussin freebsd_committer 2020-06-01 09:15:53 UTC
Fixed, thank your for reporting and the patch submission
Comment 3 commit-hook freebsd_committer 2020-06-01 09:16:04 UTC
A commit references this bug:

Author: bapt
Date: Mon Jun  1 09:15:16 UTC 2020
New revision: 361690
URL: https://svnweb.freebsd.org/changeset/base/361690

Log:
  Document long version of -b option

  PR:		234195
  Submitted by:	Fehmi Noyan Isi <fnoyanisi@yahoo.com>
  Reported by:	Andras Farkas <deepbluemistake@gmail.com>
  MFC after:	3 days

Changes:
  head/usr.bin/diff/diff.1